Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Runtime

    java.lang.Object
      java.lang.Runtime

public class Runtime
extends Object

Every Java application has a single instance of class `Runtime` that allows the application to interface with the environment in which the application is running. The current runtime can be obtained from the `getRuntime` method.

An application cannot create its own instance of this class.

Since:
  JDK1.0
See Also:
  `getRuntime()`

Method Summary
`void` | `exit(int status)` Terminates the currently running Java application.
`long` | `freeMemory()` Returns the amount of free memory in the system.
`void` | `gc()` Runs the garbage collector.
`static Runtime` | `getRuntime()` Returns the runtime object associated with the current Java application.
`long` | `totalMemory()` Returns the total amount of memory in the Java Virtual Machine.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRuntime

    public static Runtime getRuntime()

  Returns the runtime object associated with the current Java application. Most of the methods of class `Runtime` are instance methods and must be invoked with respect to the current runtime object.

  Returns:
    the `Runtime` object associated with the current Java application.

### exit

    public void exit(int status)

  Terminates the currently running Java application. This method never returns normally.

  The argument serves as a status code; by convention, a nonzero status code indicates abnormal termination.

  Parameters:
    `status` - exit status.
  Since:
    JDK1.0

### freeMemory

    public long freeMemory()

  Returns the amount of free memory in the system. Calling the `gc` method may result in increasing the value returned by `freeMemory.`

  Returns:
    an approximation to the total amount of memory currently available for future allocated objects, measured in bytes.

### totalMemory

    public long totalMemory()

  Returns the total amount of memory in the Java Virtual Machine. The value returned by this method may vary over time, depending on the host environment.

  Note that the amount of memory required to hold an object of any given type may be implementation-dependent.

  Returns:
    the total amount of memory currently available for current and future objects, measured in bytes.

### gc

    public void gc()

  Runs the garbage collector. Calling this method suggests that the Java Virtual Machine expend effort toward recycling unused objects in order to make the memory they currently occupy available for quick reuse. When control returns from the method call, the Java Virtual Machine has made its best effort to recycle all discarded objects.

  The name `gc` stands for "garbage collector". The Java Virtual Machine performs this recycling process automatically as needed, in a separate thread, even if the `gc` method is not invoked explicitly.

  The method `System.gc()` is hte conventional and convenient means of invoking this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.